#!/bin/sh

MINIDLNA=/usr/local/AppCentral/minidlna/bin/minidlnad
PIDFILE=/var/run/minidlna/minidlna.pid
CONF=/usr/local/AppCentral/minidlna/etc/minidlna.conf
ARGS="-f $CONF"

case $1 in

	start)
		echo "Starting ums..."
        start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $MINIDLNA -- $ARGS
		;;

	stop)
		echo "Stopping ums..."
        start-stop-daemon --stop --quiet --pidfile $PIDFILE
		;;

	reload)
		echo "Reload ums..."
        start-stop-daemon --stop --retry 3 --quiet --pidfile $PIDFILE
		sleep 3
        start-stop-daemon --start --quiet --pidfile $PIDFILE --startas $MINIDLNA -- $ARGS
		;;
		
	*)
		echo "usage: $0 {start|stop|reload}"
		exit 1
		;;
		
esac
exit 0
